org.hibernate.validator.internal.metadata.provider

## Class ProgrammaticMetaDataProvider

- java.lang.Object
- - org.hibernate.validator.internal.metadata.provider.MetaDataProviderKeyedByClassName
  - - org.hibernate.validator.internal.metadata.provider.ProgrammaticMetaDataProvider

- All Implemented Interfaces:
    MetaDataProvider

      public class ProgrammaticMetaDataProvider
      extends MetaDataProviderKeyedByClassName

  A `MetaDataProvider` based on the programmatic constraint API.
  Author:
    Gunnar Morling

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.validator.internal.metadata.provider.MetaDataProviderKeyedByClassName

      `constraintHelper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgrammaticMetaDataProvider(ConstraintHelper constraintHelper, ParameterNameProvider parameterNameProvider, Set<DefaultConstraintMapping> constraintMappings)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationProcessingOptions` | `getAnnotationProcessingOptions()` Returns the annotation processing options as configured by this provider.

    - ### Methods inherited from class org.hibernate.validator.internal.metadata.provider.MetaDataProviderKeyedByClassName

      `addBeanConfiguration, createBeanConfiguration, getBeanConfiguration, getBeanConfigurationForHierarchy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgrammaticMetaDataProvider

          public ProgrammaticMetaDataProvider(ConstraintHelper constraintHelper,
                                      ParameterNameProvider parameterNameProvider,
                                      Set<DefaultConstraintMapping> constraintMappings)

  - ### Method Detail

    - #### getAnnotationProcessingOptions

          public AnnotationProcessingOptions getAnnotationProcessingOptions()

      Description copied from interface: `MetaDataProvider`
      Returns the annotation processing options as configured by this provider.
      Returns:
        The annotation processing options as configured by this provider.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved